file handle pcdat/name='hhr1996_11th_12th_members.dat' /lrecl=20.
data list file pcdat free /
  R0000100 (F5)
  R5754800 (F2)
  R5754900 (F2)
  R5758700 (F2)
  R5758800 (F2)
.
* The following code works with current versions of SPSS.
missing values all (-5 thru -1).
* older versions of SPSS may require this:
* recode all (-5,-3,-2,-1=-4).
* missing values all (-4).
variable labels
  R0000100  "ID# (1-12686) 79"
  R5754800  "AGE OF 11TH PERSON 96"
  R5754900  "HGHST GRD COMPLTD BY 11TH PERS 96"
  R5758700  "AGE OF 12TH PERSON 96"
  R5758800  "HGHST GRD COMPLTD BY 12TH PERS 96"
.

* Recode continuous values. 
* recode 
 R5754800 
    (0 thru 0 eq 0)
    (1 thru 4 eq 1)
    (5 thru 9 eq 5)
    (10 thru 14 eq 10)
    (15 thru 19 eq 15)
    (20 thru 24 eq 20)
    (25 thru 29 eq 25)
    (30 thru 34 eq 30)
    (35 thru 39 eq 35)
    (40 thru 44 eq 40)
    (45 thru 49 eq 45)
    (50 thru 99999999 eq 50)
    / 
 R5758700 
    (0 thru 0 eq 0)
    (1 thru 4 eq 1)
    (5 thru 9 eq 5)
    (10 thru 14 eq 10)
    (15 thru 19 eq 15)
    (20 thru 24 eq 20)
    (25 thru 29 eq 25)
    (30 thru 34 eq 30)
    (35 thru 39 eq 35)
    (40 thru 44 eq 40)
    (45 thru 49 eq 45)
    (50 thru 99999999 eq 50)
.

* value labels
 R5754800
    0 "0"
    1 "1 TO 4"
    5 "5 TO 9"
    10 "10 TO 14"
    15 "15 TO 19"
    20 "20 TO 24"
    25 "25 TO 29"
    30 "30 TO 34"
    35 "35 TO 39"
    40 "40 TO 44"
    45 "45 TO 49"
    50 "50 TO 99999999: 50+"
    /
 R5754900
    0 "0: NONE"
    93 "93: PRE-KINDERGARTEN"
    94 "94: KINDERGARTEN"
    1 "1: 1ST GRADE"
    2 "2: 2ND GRADE"
    3 "3: 3RD GRADE"
    4 "4: 4TH GRADE"
    5 "5: 5TH GRADE"
    6 "6: 6TH GRADE"
    7 "7: 7TH GRADE"
    8 "8: 8TH GRADE"
    9 "9: 9TH GRADE"
    10 "10: 10TH GRADE"
    11 "11: 11TH GRADE"
    12 "12: 12TH GRADE"
    13 "13: 1ST YEAR COLLEGE"
    14 "14: 2ND YEAR COLLEGE"
    15 "15: 3RD YEAR COLLEGE"
    16 "16: 4TH YEAR COLLEGE"
    17 "17: 5TH YEAR COLLEGE"
    18 "18: 6TH YEAR COLLEGE"
    19 "19: 7TH YEAR COLLEGE"
    20 "20: 8TH YEAR COLLEGE"
    95 "95: UNGRADED"
    /
 R5758700
    0 "0"
    1 "1 TO 4"
    5 "5 TO 9"
    10 "10 TO 14"
    15 "15 TO 19"
    20 "20 TO 24"
    25 "25 TO 29"
    30 "30 TO 34"
    35 "35 TO 39"
    40 "40 TO 44"
    45 "45 TO 49"
    50 "50 TO 99999999: 50+"
    /
 R5758800
    0 "0: NONE"
    93 "93: PRE-KINDERGARTEN"
    94 "94: KINDERGARTEN"
    1 "1: 1ST GRADE"
    2 "2: 2ND GRADE"
    3 "3: 3RD GRADE"
    4 "4: 4TH GRADE"
    5 "5: 5TH GRADE"
    6 "6: 6TH GRADE"
    7 "7: 7TH GRADE"
    8 "8: 8TH GRADE"
    9 "9: 9TH GRADE"
    10 "10: 10TH GRADE"
    11 "11: 11TH GRADE"
    12 "12: 12TH GRADE"
    13 "13: 1ST YEAR COLLEGE"
    14 "14: 2ND YEAR COLLEGE"
    15 "15: 3RD YEAR COLLEGE"
    16 "16: 4TH YEAR COLLEGE"
    17 "17: 5TH YEAR COLLEGE"
    18 "18: 6TH YEAR COLLEGE"
    19 "19: 7TH YEAR COLLEGE"
    20 "20: 8TH YEAR COLLEGE"
    95 "95: UNGRADED"
    /
.
/* Crosswalk for Reference number & Question name
 * Uncomment and edit this RENAME VARIABLES statement to rename variables for ease of use.
 * This command does not guarantee uniqueness
 */  /* *start* */

* RENAME VARIABLES
  (R0000100 = CASEID_1979) 
  (R5754800 = HHI_FINAL_AGE_11_1996)   /* HHI_FINAL_AGE.11 */
  (R5754900 = HHI_FINAL_GRADECODE_11_1996)   /* HHI_FINAL_GRADECODE.11 */
  (R5758700 = HHI_FINAL_AGE_12_1996)   /* HHI_FINAL_AGE.12 */
  (R5758800 = HHI_FINAL_GRADECODE_12_1996)   /* HHI_FINAL_GRADECODE.12 */
.
  /* *end* */

descriptives all.

*--- Tabulations using reference number variables.
*freq var=R0000100, 
  R5754800, 
  R5754900, 
  R5758700, 
  R5758800.

*--- Tabulations using qname variables.
*freq var=CASEID_1979, 
  HHI_FINAL_AGE_11_1996, 
  HHI_FINAL_GRADECODE_11_1996, 
  HHI_FINAL_AGE_12_1996, 
  HHI_FINAL_GRADECODE_12_1996.
